import './App.css';
import { BrowserRouter as Router, Route, Link, Switch } from 'react-router-dom';
import createHistory from "history/createBrowserHistory";
import {Provider, connect} from 'react-redux';
import { actionFullLogin, actionFullRegister, actionUploadFile } from './actions';
import { LoginForm } from './pages/LoginForm';
import { FormReg } from './pages/FormReg';
import { FormDate } from './components/FormDate';
import { Main } from './pages/Main';
import store from './reducers';

const ConnectLoginForm = connect(null, {onLogin:actionFullLogin}) (LoginForm);

const ConnectFormReg = connect(null, {FormReg:actionFullRegister}) (FormReg);

const ConnectFormUpload = connect(null, {onUpload:actionUploadFile}) (FormDate);

function App() {
    return (
        <Provider store = {store}>
            <Router history = {createHistory()}>
                <div className="App">
                    <Route path = "/login" component={ConnectLoginForm} exact />
                    <Route path = "/reg" component={ConnectFormReg} exact />
                    <Route path = "/upload" component={ConnectFormUpload} exact />
                    <Route path = "/" component={Main} exact />
                </div>
            </Router>
        </Provider>
    )
  }

  export default App;