import { useCallback } from 'react';
import { useDropzone } from 'react-dropzone';
import './FormDate.css'

export const FormDate = ({onUpload}) => {
    const onDrop = useCallback(acceptedFiles => {
      acceptedFiles.map((file) => onUpload(file))
    }, [onUpload])
    const {getRootProps, getInputProps, isDragActive} = useDropzone({onDrop})
  
    return (
      <div {...getRootProps()}>
        <input {...getInputProps()} />
        {
          isDragActive ?
            <p> Drop the files here ...</p> :
            <p className='buttons'> Download files</p>
        }
      </div>
    )
}